aboutsummaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/realtime-suggestions8
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/realtime-suggestions b/bin/realtime-suggestions
index 45a1fff..cc552fe 100755
--- a/bin/realtime-suggestions
+++ b/bin/realtime-suggestions
@@ -14,6 +14,13 @@ check_root() {
fi
}
+check_kernel_name() {
+ if [[ "$(uname -s)" != *Linux* ]]; then
+ echo "This script needs to be run on a Linux system."
+ exit 1
+ fi
+}
+
check_filesystems() {
local mount_points=()
local mount_point_data=()
@@ -198,6 +205,7 @@ check_for_useful_tools() {
done
}
+check_kernel_name
check_root
check_filesystems
check_groups